# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rblog"
version = "0.303.0"
authors = ["Prabir Shrestha <mail@prabir.me>"]
build = "src/build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Blog app"
readme = "README.md"
license = "MIT"
repository = "https://github.com/prabirshrestha/rblog"

[lib]
name = "rblog"
path = "src/lib.rs"

[[bin]]
name = "rblog"
path = "src/bin/rblog.rs"

[[test]]
name = "blog"
path = "tests/blog.rs"

[[test]]
name = "makrdown"
path = "tests/makrdown.rs"

[dependencies.anyhow]
version = "1.0.82"

[dependencies.arc-swap]
version = "1"

[dependencies.argh]
version = "0.1.13"

[dependencies.async-fs]
version = "2.1.2"

[dependencies.chrono]
version = "0.4.37"
features = ["serde"]

[dependencies.dotenv]
version = "0.15.0"

[dependencies.listenfd]
version = "1.0.1"

[dependencies.mime]
version = "0.3.17"

[dependencies.mime_guess]
version = "2.0.4"

[dependencies.notify]
version = "8"

[dependencies.pulldown-cmark]
version = "0.13"

[dependencies.ructe]
version = "0.18.0"

[dependencies.salvo]
version = "0.93.0"
features = [
    "affix-state",
    "anyhow",
    "caching-headers",
    "compression",
    "logging",
    "trailing-slash",
]

[dependencies.schematic]
version = "0.19.0"
features = ["yaml"]

[dependencies.serde]
version = "1.0.200"
features = ["derive"]

[dependencies.serde_yaml]
version = "0.9.32"

[dependencies.slug]
version = "0.1.5"

[dependencies.tokio]
version = "1.37.0"
features = [
    "macros",
    "rt-multi-thread",
    "signal",
]

[dependencies.tracing]
version = "0.1.40"

[dependencies.tracing-subscriber]
version = "0.3.18"
features = ["env-filter"]

[build-dependencies.anyhow]
version = "1.0.82"

[build-dependencies.ructe]
version = "0.18.0"
features = [
    "sass",
    "mime03",
]

[build-dependencies.vergen-gitcl]
version = "9.1.0"
features = ["build"]
